.TH MODES_RX: "1" "October 2013" "modes_rx" "User Commands"
.SH NAME
modes_rx: \- Gnuradio Mode-S/ADS-B receiver
.SH SYNOPSIS
.B modes_rx [options]
[\fIoptions\fR]
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-l\fR LOCATION, \fB\-\-location\fR=\fILOCATION\fR
GPS coordinates of receiving station in format
xx.xxxxx,xx.xxxxx
.TP
\fB\-a\fR REMOTE, \fB\-\-remote\fR=\fIREMOTE\fR
specify additional servers from which to take data in
format tcp://x.x.x.x:y,tcp://....
.TP
\fB\-n\fR, \fB\-\-no\-print\fR
disable printing decoded packets to stdout
.TP
\fB\-K\fR KML, \fB\-\-kml\fR=\fIKML\fR
filename for Google Earth KML output
.TP
\fB\-P\fR, \fB\-\-sbs1\fR
open an SBS\-1\-compatible server on port 30003
.TP
\fB\-m\fR MULTIPLAYER, \fB\-\-multiplayer\fR=\fIMULTIPLAYER\fR
FlightGear server to send aircraft data, in format
host:port
.IP
Receiver setup options:
.TP
\fB\-s\fR SOURCE, \fB\-\-source\fR=\fISOURCE\fR
Choose source: uhd, osmocom, <filename>, or <ip:port>
[default=uhd]
.TP
\fB\-t\fR PORT, \fB\-\-tcp\fR=\fIPORT\fR
Open a TCP server on this port to publish reports
.TP
\fB\-R\fR SUBDEV, \fB\-\-subdev\fR=\fISUBDEV\fR
select USRP Rx side A or B
.TP
\fB\-A\fR ANTENNA, \fB\-\-antenna\fR=\fIANTENNA\fR
select which antenna to use on daughterboard
.TP
\fB\-D\fR ARGS, \fB\-\-args\fR=\fIARGS\fR
arguments to pass to radio constructor
.TP
\fB\-f\fR FREQ, \fB\-\-freq\fR=\fIFREQ\fR
set receive frequency in Hz [default=1090000000.0]
.TP
\fB\-g\fR dB, \fB\-\-gain\fR=\fIdB\fR
set RF gain
.TP
\fB\-r\fR RATE, \fB\-\-rate\fR=\fIRATE\fR
set sample rate [default=4000000.0]
.TP
\fB\-T\fR THRESHOLD, \fB\-\-threshold\fR=\fITHRESHOLD\fR
set pulse detection threshold above noise in dB
[default=7.0]
.TP
\fB\-p\fR, \fB\-\-pmf\fR
Use pulse matched filtering [default=False]
.TP
\fB\-d\fR, \fB\-\-dcblock\fR
Use a DC blocking filter (best for HackRF Jawbreaker)
[default=False]
.PP
.SH DESCRIPTION
A Qt Graphical User Interface to display positions
and status messages of aircraft as reported on
1090 MHz.
.LP
gr-air-modes implements a software-defined radio receiver for Mode S
transponder signals, including ADS-B reports from equipped aircraft.
.LP
Mode S is the transponder protocol used in modern commercial aircraft.
A Mode S-equipped aircraft replies to radar interrogation by either
ground radar (secondary surveillance) or other aircraft ("Traffic
Collision Avoidance System", or TCAS). The protocol is an extended
version of the Mode A/C protocol used in transponders since the 1940s.
Mode S reports include a unique airframe identifier (referred to
as the "ICAO number") and altitude (to facilitate separation control).
This receiver listens to the 1090MHz downlink channel; interrogation
requests at 1030MHz are not received or decoded by this program.
.LP
Automatic Dependent Surveillance-Broadcast (ADS-B) is a communication
protocol using the Extended Squitter capability of the Mode S transport
layer. There are other implementations (VDL Mode 2 and UAT, for
instance) but Mode S remains the primary ADS-B transport for commercial
use. The protocol is:
.LP
* Automatic: it requires no pilot input
.LP
* Dependent: it is dependent on altimeter, GPS, and other aircraft
  instrumentation for information
.LP
* Surveillance: it provides current information about the transmitting
  aircraft
.LP
* Broadcast: it is one-way, broadcast to all receivers within range.
.LP
ADS-B-equipped aircraft broadcast ("squitter") their position, velocity,
flight number, and other interesting information to any receiver within
range of the aircraft. Position reports are typically generated once per
second and flight indentification every five seconds.
.LP
Implementation of ADS-B is mandatory in European airspace as well as
in Australia. North American implementation is still voluntary, with
a mandate arriving in 2020 via the FAA's "NextGen" program.
.LP
The receiver modes_rx is written for use with Ettus Research USRP
devices, although the "RTLSDR" receivers are also supported via the
Osmocom driver. In theory, any receiver which outputs complex samples at
at least 2Msps should work via the file input or UDP input options, or
by means of a Gnuradio interface. Multiple output formats are supported:
.LP
* Raw (or minimally processed) output of packet data
.LP
* Parsed text
.LP
* SQLite database
.LP
* KML for use with Google Earth
.LP
* SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
  Radar Server
.LP
* FlightGear multiplayer interface for real-time display of traffic
  within the simulator
.LP
Most of the common ADS-B reports are fully decoded per specification.
Those that are not are generally ones which are not commonly used.
.LP
Should you receive a large number of reports which result in
"not implemented" or "No handler" messages, please use the -w option to
save raw data and forward it to the author. To save time, note that
receiving a small number of spurious reports is expected; false reports
can be excluded by looking for multiple reports from the same aircraft
(i.e., the same ICAO 6-digit hexadecimal number).
.SH REQUIRES
A GNU Radio supported receiver for RF capable of 2 Mbits/second
sample rate and tuning to 1090 MHz. (Or captured data file or network
connection to a data source.)
.SH "SEE ALSO"
The X GUI application
.B modes_gui
.LP
modes_gui(1)
